MbedTLS build 出错

环境win10, julia 1.0.

(v1.0) pkg> build MbedTLS
Building MbedTLS → C:\Users\dyxx\.julia\packages\MbedTLS\Qo8TN\deps\build.log
┌ Error: Error building MbedTLS:
│ ERROR: LoadError: IOError: unlink: operation not permitted (EPERM)
│ Stacktrace:
│ [1] uv_error at .\libuv.jl:85 [inlined]
│ [2] unlink(::String) at .\file.jl:722
│ [3] #rm#9(::Bool, ::Bool, ::Function, ::String) at .\file.jl:253
│ [4] #rm at .\none:0 [inlined]
│ [5] macro expansion at .\logging.jl:317 [inlined]
│ [6] #uninstall#118(::Bool, ::Function, ::String) at C:\Users\dyxx.julia\packages\BinaryProvider\UTYxu\src\Prefix.jl:414
│ [7] #uninstall at .\none:0 [inlined]
│ [8] macro expansion at .\logging.jl:308 [inlined]
│ [9] #install#115(::Prefix, ::String, ::Bool, ::Bool, ::Bool, ::Function, ::String, ::String) at C:\Users\dyxx.julia\packages\BinaryProvider\UTYxu\src\Prefix.jl:358
│ [10] (::getfield(BinaryProvider, Symbol("#kw##install")))(::NamedTuple{(:prefix, :force, :verbose),Tuple{Prefix,Bool,Bool}}, ::typeof(install), ::String, ::String) at .\none:0
│ [11] top-level scope at C:\Users\dyxx.julia\packages\MbedTLS\Qo8TN\deps\build.jl:45
│ [12] include at .\boot.jl:317 [inlined]
│ [13] include_relative(::Module, ::String) at .\loading.jl:1038
│ [14] include(::Module, ::String) at .\sysimg.jl:29
│ [15] include(::String) at .\client.jl:388
│ [16] top-level scope at none:0
│ in expression starting at C:\Users\dyxx.julia\packages\MbedTLS\Qo8TN\deps\build.jl:41
└ @ Pkg.Operations C:\cygwin\home\Administrator\buildbot\worker\package_win64\build\usr\share\julia\stdlib\v1.0\Pkg\src\Operations.jl:1068

试过管理员运行julia, 同样问题。

可以把PKg设置到D盘看看

1 个赞